Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067162 - PRD35 - [RFE] Hosted Engine on iSCSI data centers
Summary: PRD35 - [RFE] Hosted Engine on iSCSI data centers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Doron Fediuck
QA Contact: Elad
URL:
Whiteboard: sla
Depends On: 1129261 1130038 1146529 1148712 1149634 1150427 1157238 1157239 1157421 1159946
Blocks: 1123951 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-02-19 20:59 UTC by Jake Hunsaker
Modified: 2018-12-06 15:55 UTC (History)
17 users (show)

Fixed In Version: ovirt-3.5.0-beta2
Doc Type: Enhancement
Doc Text:
The Hosted Engine can now be deployed on iSCSI storage domains.
Clone Of: 1036731
Environment:
Last Closed: 2015-02-11 17:58:25 UTC
oVirt Team: SLA
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0194 normal SHIPPED_LIVE ovirt-hosted-engine-ha bug fix and enhancement update 2015-02-12 01:35:33 UTC
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 25797 None None None Never
oVirt gerrit 25798 None None None Never
oVirt gerrit 25800 None None None Never
oVirt gerrit 25897 None None None Never

Description Jake Hunsaker 2014-02-19 20:59:07 UTC
+++ This bug was initially created as a clone of Bug #1036731 +++
  
 What is the nature and description of the request?  

Hosted engine needs to be able to be deployed for iSCSI data centers
  
 Why does the customer need this? (List the business requirements here) 

We see a lot more customers running iSCSI data centers than NFS, and hosted engine was one of the major pushes for upgrading to 3.3.

  
 Is there already an existing RFE upstream or in Red Hat Bugzilla? 

Yes, 1036731 from which this bug is cloned.
  
 Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

N/A at this time

Comment 2 Itamar Heim 2014-02-20 09:25:42 UTC
please note while hosted engine still doesn't work on an iscsi storage domain, you can run it on hosts in an iscsi data center. i.e., only the storage domain for the hosted engine needs to be NFS for now, and you can mix that specific storage domain with in an iscsi DC.

Comment 5 Aharon Canan 2014-05-29 11:52:18 UTC
In 3.4 we started using shared DC instead of ISCSI/NFS/etc'

So it sounds like we need to test shared DC where the HE disk is using ISCSI below that

am I right?

Comment 6 Nikolai Sednev 2014-05-29 12:01:30 UTC
(In reply to Aharon Canan from comment #5)
> In 3.4 we started using shared DC instead of ISCSI/NFS/etc'
> 
> So it sounds like we need to test shared DC where the HE disk is using ISCSI
> below that
> 
> am I right?

From the Bug #1036731 I understand that during hosted-engine --deploy, customer required to get boot from SAN (iscsi&FC) in addition to already existing NFS (currently the one and only) option.
This means , that SD of HE (which is hidden via UI) could be connected to iscsi/FC.

Comment 7 Jiri Moskovcak 2014-05-29 12:26:24 UTC
(In reply to Aharon Canan from comment #5)
> In 3.4 we started using shared DC instead of ISCSI/NFS/etc'
> 
> So it sounds like we need to test shared DC where the HE disk is using ISCSI
> below that
> 
> am I right?

I don't understand what you mean. This feature is adding the support for deploying the HE directly to the iscsi.

Comment 9 Sandro Bonazzola 2014-08-13 07:25:24 UTC
Removing bug #1036731 from dependencies, FC support shouldn't block iSCSI support

Comment 10 Gil Klein 2014-10-13 12:04:42 UTC
Returning to ASSIGNED due to BZ #1150427

Comment 11 Doron Fediuck 2014-10-20 13:30:04 UTC
All relevant BZs are ON QA.

Comment 13 Artyom 2014-11-24 15:26:56 UTC
Verified on ovirt-hosted-engine-setup-1.2.1-4.el6ev.noarch
Host and RHEVM runs on rhel6.6
engine - rhevm-3.5.0-0.21.el6ev.noarch

Comment 14 meital avital 2014-11-25 14:39:41 UTC
Moving from verified to on-qa because we tested the installation part - see comment 13
Storage team still needs to check their part and verified...

Comment 15 Elad 2014-12-15 08:27:24 UTC
TCMS run was executed:
https://tcms.engineering.redhat.com/run/191449/

All the critical issues have been fixed, moving to VERIFIED.

Comment 18 errata-xmlrpc 2015-02-11 17:58:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.